Subject: [rohc] 0xE0 and 0x07 - CRC

From: Karthik Balaguru <[email-masked]>
Date: Mon, 4 May 2009 18:23:50 +0530

Hi,

Is it mandatory to use 0xE0 based CRC for 8-bit IR/IR-DYN CRC ?
If it is mandatory, why is '0xE0' opted instead of '0x07' ?

I got an online evaluation tool for 0x07 -
http://www.usstmba.cn/chenjq/www2/software/crc/CRC_Javascript/CRC8calculation0b.htm

Is there any online evaluation tool for 0xE0 ?

Thx in advans,
Karthik Balaguru

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 4 May 2009 16:09:45 +0200

> If it is mandatory, why is '0xE0' opted instead of '0x07' ?

Because that's what we agreed on after a lot of confusion during ROHC  
interop testing.
See RFC 4815, section 2 and appendix A.

> Is there any online evaluation tool for 0xE0 ?

It's not online, but you can run it on your computer:
You could use the code I wrote during the first ROHC interop; it is in  
appendix A of RFC 4815.
(That code also should be easy to translate to $LANGUAGE.)

Gruesse, Carsten